curl --request POST \
--url https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "<string>",
"playlistVersionId": "<string>",
"channelId": "<string>",
"timezone": "<string>",
"startAtUtc": "2023-11-07T05:31:56Z",
"endAtUtc": "2023-11-07T05:31:56Z",
"weeklyWindows": [],
"paused": false
}
'import requests
url = "https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/schedules"
payload = {
"name": "<string>",
"playlistVersionId": "<string>",
"channelId": "<string>",
"timezone": "<string>",
"startAtUtc": "2023-11-07T05:31:56Z",
"endAtUtc": "2023-11-07T05:31:56Z",
"weeklyWindows": [],
"paused": False
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
playlistVersionId: '<string>',
channelId: '<string>',
timezone: '<string>',
startAtUtc: '2023-11-07T05:31:56Z',
endAtUtc: '2023-11-07T05:31:56Z',
weeklyWindows: [],
paused: false
})
};
fetch('https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/schedules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'playlistVersionId' => '<string>',
'channelId' => '<string>',
'timezone' => '<string>',
'startAtUtc' => '2023-11-07T05:31:56Z',
'endAtUtc' => '2023-11-07T05:31:56Z',
'weeklyWindows' => [
],
'paused' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/schedules"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"playlistVersionId\": \"<string>\",\n \"channelId\": \"<string>\",\n \"timezone\": \"<string>\",\n \"startAtUtc\": \"2023-11-07T05:31:56Z\",\n \"endAtUtc\": \"2023-11-07T05:31:56Z\",\n \"weeklyWindows\": [],\n \"paused\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/schedules")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"playlistVersionId\": \"<string>\",\n \"channelId\": \"<string>\",\n \"timezone\": \"<string>\",\n \"startAtUtc\": \"2023-11-07T05:31:56Z\",\n \"endAtUtc\": \"2023-11-07T05:31:56Z\",\n \"weeklyWindows\": [],\n \"paused\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/schedules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"playlistVersionId\": \"<string>\",\n \"channelId\": \"<string>\",\n \"timezone\": \"<string>\",\n \"startAtUtc\": \"2023-11-07T05:31:56Z\",\n \"endAtUtc\": \"2023-11-07T05:31:56Z\",\n \"weeklyWindows\": [],\n \"paused\": false\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"name": "<string>",
"playlistId": "<string>",
"playlistVersionId": "<string>",
"channelId": "<string>",
"timezone": "<string>",
"scheduleType": "<string>",
"controlState": "<string>",
"lifecycleStatus": "<string>",
"weeklyWindows": [
{}
],
"startAtUtc": "2023-11-07T05:31:56Z",
"endAtUtc": "2023-11-07T05:31:56Z",
"priority": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}POST /schedules
Workspace-owned resources only. No unsupported query parameters on details or writes. Required permissions: schedules.create, publications.execute. Use Postman or your backend. Keep your API key private; do not enter it in this public documentation page.
curl --request POST \
--url https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "<string>",
"playlistVersionId": "<string>",
"channelId": "<string>",
"timezone": "<string>",
"startAtUtc": "2023-11-07T05:31:56Z",
"endAtUtc": "2023-11-07T05:31:56Z",
"weeklyWindows": [],
"paused": false
}
'import requests
url = "https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/schedules"
payload = {
"name": "<string>",
"playlistVersionId": "<string>",
"channelId": "<string>",
"timezone": "<string>",
"startAtUtc": "2023-11-07T05:31:56Z",
"endAtUtc": "2023-11-07T05:31:56Z",
"weeklyWindows": [],
"paused": False
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
playlistVersionId: '<string>',
channelId: '<string>',
timezone: '<string>',
startAtUtc: '2023-11-07T05:31:56Z',
endAtUtc: '2023-11-07T05:31:56Z',
weeklyWindows: [],
paused: false
})
};
fetch('https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/schedules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'playlistVersionId' => '<string>',
'channelId' => '<string>',
'timezone' => '<string>',
'startAtUtc' => '2023-11-07T05:31:56Z',
'endAtUtc' => '2023-11-07T05:31:56Z',
'weeklyWindows' => [
],
'paused' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/schedules"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"playlistVersionId\": \"<string>\",\n \"channelId\": \"<string>\",\n \"timezone\": \"<string>\",\n \"startAtUtc\": \"2023-11-07T05:31:56Z\",\n \"endAtUtc\": \"2023-11-07T05:31:56Z\",\n \"weeklyWindows\": [],\n \"paused\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/schedules")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"playlistVersionId\": \"<string>\",\n \"channelId\": \"<string>\",\n \"timezone\": \"<string>\",\n \"startAtUtc\": \"2023-11-07T05:31:56Z\",\n \"endAtUtc\": \"2023-11-07T05:31:56Z\",\n \"weeklyWindows\": [],\n \"paused\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/schedules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"playlistVersionId\": \"<string>\",\n \"channelId\": \"<string>\",\n \"timezone\": \"<string>\",\n \"startAtUtc\": \"2023-11-07T05:31:56Z\",\n \"endAtUtc\": \"2023-11-07T05:31:56Z\",\n \"weeklyWindows\": [],\n \"paused\": false\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"name": "<string>",
"playlistId": "<string>",
"playlistVersionId": "<string>",
"channelId": "<string>",
"timezone": "<string>",
"scheduleType": "<string>",
"controlState": "<string>",
"lifecycleStatus": "<string>",
"weeklyWindows": [
{}
],
"startAtUtc": "2023-11-07T05:31:56Z",
"endAtUtc": "2023-11-07T05:31:56Z",
"priority": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}schedules.create, publications.execute.
Send an Idempotency-Key for this change. It is an operation ID, not an API key. Generate a UUID and reuse it when retrying the same request.
Authorizations
Headers
An operation ID, not your API key. Generate a UUID for each new change and reuse it when retrying the same request. See https://docs.layarva.com/developers/platform-request-keys for Postman, PowerShell and Node.js examples. Upload instructions are refreshed when requested again.
^[A-Za-z0-9._:-]{1,128}$Body
Send application/json using the fields below. JSON requests must be no larger than 64 KiB.
Valid IANA timezone. Exact immutable Ready version plus publications.execute scope and publishing policy required. ONE_TIME needs startAtUtc; end must be after start. WEEKLY requires windows; other types require no windows. Windows have distinct days 0=Sunday..6=Saturday. Overlaps and same Playlist as Channel default rejected. Channel without a default produces DRAFT. PATCH requires expectedUpdatedAt and at least one editable field. Server-only cross-field/refinement rules are enforced beyond this JSON Schema.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
